tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Costin.Manola...@eng.sun.com
Subject Re: [DEPEND] Ant patch to do -depend
Date Wed, 05 Jan 2000 18:02:46 GMT
Ben Laurie wrote:

> "Twiggs, Glenn" wrote:
> >
> > -1 on this patch. "-depend" is not a valid option for a java 1.2 compiler
> > and will cause an error if specified.
>
> Like I said, I can't fix this coz I don't have 1.2 - someone else
> suggested that for 1.2 you need to use -Xdepend (why?) - would you agree
> with that?

I agree, I don't know why ( it changed ).
I think jikes has yet another flag. Even if it is different for different
compilers,
it's the taskdef's job to deal with that - probably it should add the flag
only for
compilers it recognize ( like 1.1 -depend, 1.2 -Xdepend, jikes... )


Costin




Mime
View raw message